Bug 244774 - SELinux is preventing /usr/sbin/exim (logwatch_t) "setuid" to (logwatch_t).
SELinux is preventing /usr/sbin/exim (logwatch_t) "setuid" to (logwatch_t).
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-19 00:36 EDT by Ben Liblit
Modified: 2008-06-16 21:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
representative example of the warning as decoded by the setroubleshoot browser (2.03 KB, text/plain)
2007-06-19 00:36 EDT, Ben Liblit
no flags Details

  None (edit)
Description Ben Liblit 2007-06-19 00:36:09 EDT
Description of problem:

When exim is running on a system, occasional SELinux audit messages arise. 
There are two main forms, one of which I report here.  The other will be filed

Version-Release number of selected component (if applicable):


How reproducible:

Appears from time to time with no apparent action from me.  Could be tied to
e-mail delivery, but I'm not certain of that.

I've attached a representative example of the warning as decoded by the
setroubleshoot browser.
Comment 1 Ben Liblit 2007-06-19 00:36:10 EDT
Created attachment 157347 [details]
representative example of the warning as decoded by the setroubleshoot browser
Comment 2 Ben Liblit 2007-06-19 00:44:02 EDT
Disregard my reference to a seconf form of SELinux audit message.  That other
form may have been fixed by a local "restorecon -Rv /var/log/exim" command. 
It's not clear to me whether that will affect this bug as well, though, so I'm
going to leave this report open pending attention from a more knowledgeable party.
Comment 3 Wade Nelson 2007-10-10 08:11:12 EDT
Similar issue here:

Oct 10 04:48:27 milan setroubleshoot:      SELinux is preventing /usr/sbin/
crond (system_mail_t) "entrypoint" to /usr/sbin/exim (exim_exec_t).      For 
complete SELinux messages. run sealert -l 8601bd9c-b1ce-4fd1-961c-a0ec2a3b03f2

Raw Audit Messages:
avc: denied { setuid } for comm="sendmail" egid=93 euid=0 exe="/usr/sbin/exim" 
exit=-1 fsgid=93 fsuid=0 gid=93 items=0 pid=6855 
scontext=system_u:system_r:logwatch_t:s0 sgid=93 
subj=system_u:system_r:logwatch_t:s0 suid=0 tclass=capability 
tcontext=system_u:system_r:logwatch_t:s0 tty=(none) uid=0

[root@milan ~]# yum list exim sendmail selinux* | grep installed
exim.i386                                4.66-3.fc7             installed       
selinux-policy.noarch                    2.6.4-45.fc7           installed       
selinux-policy-targeted.noarch           2.6.4-45.fc7           installed       
Comment 4 Bug Zapper 2008-05-14 09:11:06 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:38:51 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.